Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.compiler.wrapper.dista.FS
Class StatisticalFeatureSelectionWrapper

    java.lang.Object
      edu.udo.cs.miningmart.compiler.wrapper.dista.Wrapper
          edu.udo.cs.miningmart.compiler.wrapper.dista.C45.C45Wrapper
              edu.udo.cs.miningmart.compiler.wrapper.dista.FS.FeatureSelectionWrapper
                  edu.udo.cs.miningmart.compiler.wrapper.dista.FS.StatisticalFeatureSelectionWrapper

    public class StatisticalFeatureSelectionWrapper

extends FeatureSelectionWrapper

Version:
  $Id: StatisticalFeatureSelectionWrapper.java,v 1.5 2006/09/27 15:00:04 euler Exp $
Author:
  Alessandro Serra, Timm Euler

Field Summary
`double` | `m_threshold`

Fields inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.FS.FeatureSelectionWrapper
`m_feature_rejected, m_feature_selected`

Fields inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.C45.C45Wrapper
`m_data, m_file_name, m_names`

Fields inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.Wrapper
`m_do_clean, m_log, m_md, m_ml_home, m_os_name, m_properties, m_result_name, m_sample_size, m4db`

Constructor Summary
`StatisticalFeatureSelectionWrapper(Step step, ExecutableOperator exOp)`

Method Summary
`protected void` | `callTool()`
`void` | `checkMetaData()`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.FS.FeatureSelectionWrapper
`importResult, saveResult`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.C45.C45Wrapper
`clean, exportData, exportNames, exportTable, exportValue, getSampleTableName, getValues, getValues, makeQuery, setSampleTableName`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.Wrapper
`callScript, getArtificalColumnName, getExecutableOperator, getM4Db, getSampleRatio, getStep, run, setConnection, setMetaData, setProperties, setResultName, setSampleSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_threshold

    public double m_threshold

Constructor Detail

### StatisticalFeatureSelectionWrapper

    public StatisticalFeatureSelectionWrapper(Step step,
                                              ExecutableOperator exOp)
                                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### checkMetaData

    public void checkMetaData()
                       throws java.lang.Exception

  Overrides:
    `checkMetaData` in class `C45Wrapper`
  Throws:
    `java.lang.Exception`

### callTool

    protected void callTool()
                     throws java.lang.Exception

  Specified by:
    `callTool` in class `Wrapper`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005